| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelSASLAuthenticationInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.SASLAuthentication. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types

typedef Callback2< void, const QString &, DBusError * > | StartMechanismCallback
typedef Callback3< void, const QString &, const QByteArray &, DBusError * > | StartMechanismWithDataCallback
typedef Callback2< void, const QByteArray &, DBusError * > | RespondCallback
typedef Callback1< void, DBusError * > | AcceptSASLCallback
typedef Callback3< void, uint, const QString &, DBusError * > | AbortSASLCallback

## Public Member Functions

virtual | ~BaseChannelSASLAuthenticationInterface ()
QVariantMap | immutableProperties () const
QStringList | availableMechanisms () const
bool | hasInitialData () const
bool | canTryAgain () const
QString | authorizationIdentity () const
QString | defaultUsername () const
QString | defaultRealm () const
bool | maySaveResponse () const
uint | saslStatus () const
void | setSaslStatus (uint status, const QString &reason, const QVariantMap &details)
QString | saslError () const
void | setSaslError (const QString &saslError)
QVariantMap | saslErrorDetails () const
void | setSaslErrorDetails (const QVariantMap &saslErrorDetails)
void | setStartMechanismCallback (const StartMechanismCallback &cb)
void | startMechanism (const QString &mechanism, DBusError *error)
void | setStartMechanismWithDataCallback (const StartMechanismWithDataCallback &cb)
void | startMechanismWithData (const QString &mechanism, const QByteArray &initialData, DBusError *error)
void | setRespondCallback (const RespondCallback &cb)
void | respond (const QByteArray &responseData, DBusError *error)
void | setAcceptSaslCallback (const AcceptSASLCallback &cb)
void | acceptSasl (DBusError *error)
void | setAbortSaslCallback (const AbortSASLCallback &cb)
void | abortSasl (uint reason, const QString &debugMessage, DBusError *error)
void | newChallenge (const QByteArray &challengeData)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelSASLAuthenticationInterfacePtr | create (const QStringList &availableMechanisms, bool hasInitialData, bool canTryAgain, const QString &authorizationIdentity, const QString &defaultUsername, const QString &defaultRealm, bool maySaveResponse)
template<typename BaseChannelSASLAuthenticationInterfaceSubclass >
static SharedPtr < BaseChannelSASLAuthenticationInterfaceSubclass > | create (const QStringList &availableMechanisms, bool hasInitialData, bool canTryAgain, const QString &authorizationIdentity, const QString &defaultUsername, const QString &defaultRealm, bool maySaveResponse)

## Protected Member Functions

| BaseChannelSASLAuthenticationInterface (const QStringList &availableMechanisms, bool hasInitialData, bool canTryAgain, const QString &authorizationIdentity, const QString &defaultUsername, const QString &defaultRealm, bool maySaveResponse)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.SASLAuthentication.

## Member Typedef Documentation

typedef Callback2<void, const QString &, DBusError*> Tp::BaseChannelSASLAuthenticationInterface::StartMechanismCallback

typedef Callback3<void, const QString &, const QByteArray &, DBusError*> Tp::BaseChannelSASLAuthenticationInterface::StartMechanismWithDataCallback

typedef Callback2<void, const QByteArray &, DBusError*> Tp::BaseChannelSASLAuthenticationInterface::RespondCallback

typedef Callback1<void, DBusError*> Tp::BaseChannelSASLAuthenticationInterface::AcceptSASLCallback

typedef Callback3<void, uint, const QString &, DBusError*> Tp::BaseChannelSASLAuthenticationInterface::AbortSASLCallback

## Constructor & Destructor Documentation

Tp::BaseChannelSASLAuthenticationInterface::~BaseChannelSASLAuthenticationInterface | ( |  | ) |

virtual

Class destructor.

Tp::BaseChannelSASLAuthenticationInterface::BaseChannelSASLAuthenticationInterface | ( | const QStringList & | availableMechanisms,
|  | bool | hasInitialData,
|  | bool | canTryAgain,
|  | const QString & | authorizationIdentity,
|  | const QString & | defaultUsername,
|  | const QString & | defaultRealm,
|  | bool | maySaveResponse
| ) |  |

protected

Class constructor.

## Member Function Documentation

static BaseChannelSASLAuthenticationInterfacePtr Tp::BaseChannelSASLAuthenticationInterface::create | ( | const QStringList & | availableMechanisms,
|  | bool | hasInitialData,
|  | bool | canTryAgain,
|  | const QString & | authorizationIdentity,
|  | const QString & | defaultUsername,
|  | const QString & | defaultRealm,
|  | bool | maySaveResponse
| ) |  |

inline static

template<typename BaseChannelSASLAuthenticationInterfaceSubclass >

static SharedPtr<BaseChannelSASLAuthenticationInterfaceSubclass> Tp::BaseChannelSASLAuthenticationInterface::create | ( | const QStringList & | availableMechanisms,
|  | bool | hasInitialData,
|  | bool | canTryAgain,
|  | const QString & | authorizationIdentity,
|  | const QString & | defaultUsername,
|  | const QString & | defaultRealm,
|  | bool | maySaveResponse
| ) |  |

inline static

QVariantMap Tp::BaseChannelSASLAuthenticationInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

QStringList Tp::BaseChannelSASLAuthenticationInterface::availableMechanisms | ( |  | ) | const

bool Tp::BaseChannelSASLAuthenticationInterface::hasInitialData | ( |  | ) | const

bool Tp::BaseChannelSASLAuthenticationInterface::canTryAgain | ( |  | ) | const

QString Tp::BaseChannelSASLAuthenticationInterface::authorizationIdentity | ( |  | ) | const

QString Tp::BaseChannelSASLAuthenticationInterface::defaultUsername | ( |  | ) | const

QString Tp::BaseChannelSASLAuthenticationInterface::defaultRealm | ( |  | ) | const

bool Tp::BaseChannelSASLAuthenticationInterface::maySaveResponse | ( |  | ) | const

uint Tp::BaseChannelSASLAuthenticationInterface::saslStatus | ( |  | ) | const

void Tp::BaseChannelSASLAuthenticationInterface::setSaslStatus | ( | uint | status,
|  | const QString & | reason,
|  | const QVariantMap & | details
| ) |  |

QString Tp::BaseChannelSASLAuthenticationInterface::saslError | ( |  | ) | const

void Tp::BaseChannelSASLAuthenticationInterface::setSaslError | ( | const QString & | saslError | ) |

QVariantMap Tp::BaseChannelSASLAuthenticationInterface::saslErrorDetails | ( |  | ) | const

void Tp::BaseChannelSASLAuthenticationInterface::setSaslErrorDetails | ( | const QVariantMap & | saslErrorDetails | ) |

void Tp::BaseChannelSASLAuthenticationInterface::setStartMechanismCallback | ( | const StartMechanismCallback & | cb | ) |

void Tp::BaseChannelSASLAuthenticationInterface::startMechanism | ( | const QString & | mechanism,
|  | DBusError * | error
| ) |  |

void Tp::BaseChannelSASLAuthenticationInterface::setStartMechanismWithDataCallback | ( | const StartMechanismWithDataCallback & | cb | ) |

void Tp::BaseChannelSASLAuthenticationInterface::startMechanismWithData | ( | const QString & | mechanism,
|  | const QByteArray & | initialData,
|  | DBusError * | error
| ) |  |

void Tp::BaseChannelSASLAuthenticationInterface::setRespondCallback | ( | const RespondCallback & | cb | ) |

void Tp::BaseChannelSASLAuthenticationInterface::respond | ( | const QByteArray & | responseData,
|  | DBusError * | error
| ) |  |

void Tp::BaseChannelSASLAuthenticationInterface::setAcceptSaslCallback | ( | const AcceptSASLCallback & | cb | ) |

void Tp::BaseChannelSASLAuthenticationInterface::acceptSasl | ( | DBusError * | error | ) |

void Tp::BaseChannelSASLAuthenticationInterface::setAbortSaslCallback | ( | const AbortSASLCallback & | cb | ) |

void Tp::BaseChannelSASLAuthenticationInterface::abortSasl | ( | uint | reason,
|  | const QString & | debugMessage,
|  | DBusError * | error
| ) |  |

void Tp::BaseChannelSASLAuthenticationInterface::newChallenge | ( | const QByteArray & | challengeData | ) |